List and filter stations
GET
/v2/stationsAuthorization
api_key AuthorizationBearer <token>
API key for authentication. Use format: Bearer YOUR_API_KEY
In: header
Query Parameters
limit?integer
Number of stations to return per page
Default
50Range
1 <= value <= 100cursor?integer
Cursor for pagination. Use the nextCursor from previous response
Range
-9007199254740991 <= value <= 9007199254740991search_query?string
Search query to filter stations by name
procedure_ids?array<>
Filter stations by linked procedure IDs
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/stations"{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Assembly Station 1",
"procedures": [
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"name": "Assembly Test"
}
],
"procedures_count": 5,
"team": {
"id": "550e8400-e29b-41d4-a716-446655440002",
"name": "Assembly Team"
}
}
],
"meta": {
"has_more": true,
"next_cursor": 2
}
}{
"message": "Unauthorized",
"code": "UNAUTHORIZED",
"issues": []
}{
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"issues": []
}How is this guide?